> For the complete documentation index, see [llms.txt](https://docs.mapeo.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapeo.app/espanol/guia-de-referencia-completa/customization-options/custom-configurations/creating-custom-configurations/codificar-la-configuracion/adding-project-name-and-version.md).

# Adding project name and version

The `package.json` file stores the name and version information users will see in Mapeo when using the configuration.

Edit the `name` and `version` properties when creating a new configuration. Additional information on incrementing versions will be covered in [Building configuration file](/espanol/guia-de-referencia-completa/customization-options/custom-configurations/creating-custom-configurations/codificar-la-configuracion/building-configuration-file.md).

You can also add `description`, `author`, and `license` information to this file but these properties will not be rendered in the Mapeo interface.

#### Example `package.json` file:

```
{
  "name": "project-config",
  "version": "1.0.0",
  "description": "Mapeo configuration",
  "dependencies": {
    "mapeo-settings-builder": "^3.0.0",
    "mkdirp": "^0.5.1"
  },
  "devDependencies": {},
  "scripts": {
    "build": "basename=\"${npm_package_name}-v${npm_package_version}\"; mkdirp build/${basename}; mapeo-settings build -l 'en' -o build/${basename}.mapeosettings && tar -C \"build/${basename}\" -xf build/${basename}.mapeosettings",
    "test": "mapeo-settings lint"
  },
  "author": "Your Name",
  "license": "UNLICENSED",
  "private": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapeo.app/espanol/guia-de-referencia-completa/customization-options/custom-configurations/creating-custom-configurations/codificar-la-configuracion/adding-project-name-and-version.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
